# draugr.opencv_utilities.drawing.draw_boxes

Created on 04/03/2020

Functions

`draw_single_box`(image, x_min, y_min, x_max, ...) | description

`draw_bounding_boxes`(image, boxes, *[, ...])

Draw bounding boxes(labels, scores) on image Args: image: numpy array image, shape should be (height, width, channel) boxes: bboxes, shape should be (N, 4), and each row is (xmin, ymin, xmax, ymax), NOT NORMALISED! labels: labels, shape: (N, ) scores: label scores, shape: (N, ) class_name_map: list or dict, map class id to class name for visualization.

`draw_single_rect`(img, rect)

param img